RagTime5StructManager::GraphicStyle Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
RagTime5StructManager::GraphicStyle Struct Reference

the graphic style of a RagTime v5-v6 document More...

`#include <RagTime5StructManager.hxx>`

## Public Member Functions
| GraphicStyle ()
| constructor More...
virtual | ~GraphicStyle ()
| destructor More...
bool | isDefault () const
| returns true if the line style is default More...
bool | read (MWAWInputStreamPtr &input, Field const &field)
| try to read a line style More...

## Public Attributes
int | m_parentId
| the parent id More...
float | m_width
| the line width (in point) More...
MWAWColor | m_colors [2]
| the first and second color More...
float | m_colorsAlpha [2]
| alpha of the first and second color More...
std::vector< long > | m_dash
| the line dash/... More...
shared_ptr< MWAWGraphicStyle::Pattern > | m_pattern
| the line pattern More...
int | m_gradient
| the gradient 0: none, normal, radial More...
float | m_gradientRotation
| the gradient rotation(checkme) More...
MWAWVec2f | m_gradientCenter
| the rotation center(checkme) More...
int | m_position
| the line position inside=1/normal/outside/round More...
int | m_cap
| the line caps ( normal=1, round, square) More...
int | m_mitter
| the line mitter ( triangle=1, round, out) More...
float | m_limitPercent
| the line limit More...
bool | m_hidden
| flag to know if we need to print the shape More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, GraphicStyle const &style)
| operator<< More...

## Detailed Description

the graphic style of a RagTime v5-v6 document

## Constructor & Destructor Documentation

RagTime5StructManager::GraphicStyle::GraphicStyle | ( |  | ) |
| inline

constructor

virtual RagTime5StructManager::GraphicStyle::~GraphicStyle | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

bool RagTime5StructManager::GraphicStyle::isDefault | ( |  | ) | const
| inline

returns true if the line style is default

bool RagTime5StructManager::GraphicStyle::read | ( | MWAWInputStreamPtr & | input,
|  | RagTime5StructManager::Field const & | field
| ) |  |

try to read a line style

Referenced by RagTime5GraphInternal::FieldParser::parseField().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | RagTime5StructManager::GraphicStyle const & | style
| ) |  |
| friend

operator<<

## Member Data Documentation

int RagTime5StructManager::GraphicStyle::m_cap

the line caps ( normal=1, round, square)

Referenced by isDefault(), operator<<(), and read().

MWAWColor RagTime5StructManager::GraphicStyle::m_colors[2]

the first and second color

Referenced by GraphicStyle(), isDefault(), operator<<(), and read().

float RagTime5StructManager::GraphicStyle::m_colorsAlpha[2]

alpha of the first and second color

Referenced by GraphicStyle(), isDefault(), operator<<(), and read().

std::vector<long> RagTime5StructManager::GraphicStyle::m_dash

the line dash/...

Referenced by isDefault(), operator<<(), and read().

std::string RagTime5StructManager::GraphicStyle::m_extra

extra data

Referenced by isDefault(), operator<<(), and read().

int RagTime5StructManager::GraphicStyle::m_gradient

the gradient 0: none, normal, radial

Referenced by isDefault(), operator<<(), and read().

MWAWVec2f RagTime5StructManager::GraphicStyle::m_gradientCenter

the rotation center(checkme)

Referenced by isDefault(), operator<<(), and read().

float RagTime5StructManager::GraphicStyle::m_gradientRotation

the gradient rotation(checkme)

Referenced by operator<<(), and read().

bool RagTime5StructManager::GraphicStyle::m_hidden

flag to know if we need to print the shape

Referenced by isDefault(), operator<<(), and read().

float RagTime5StructManager::GraphicStyle::m_limitPercent

the line limit

Referenced by isDefault(), operator<<(), and read().

int RagTime5StructManager::GraphicStyle::m_mitter

the line mitter ( triangle=1, round, out)

Referenced by isDefault(), operator<<(), and read().

int RagTime5StructManager::GraphicStyle::m_parentId

the parent id

Referenced by isDefault(), operator<<(), and read().

shared_ptr<MWAWGraphicStyle::Pattern> RagTime5StructManager::GraphicStyle::m_pattern

the line pattern

Referenced by isDefault(), operator<<(), and read().

int RagTime5StructManager::GraphicStyle::m_position

the line position inside=1/normal/outside/round

Referenced by isDefault(), operator<<(), and read().

float RagTime5StructManager::GraphicStyle::m_width

the line width (in point)

Referenced by isDefault(), operator<<(), and read().

The documentation for this struct was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx